<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Sphere.html">Sphere</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Sphere Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#ab33e56a0df43b2dfe3b72b59757e6f69">getCenter</a>(void) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#a8c0a5dee80bf790cdc5bd2a68f73a4c7">getRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#a26fc8402579d1256e222f34b6ac0ecf3">intersects</a>(const Sphere &amp;s) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#ace0763611fbf75e156d6e34d399d5468">intersects</a>(const AxisAlignedBox &amp;box) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#aadca485853a6ae4535a3a9347ab6119b">intersects</a>(const Plane &amp;plane) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#aa127d312d66a63b160825c4650c92e14">intersects</a>(const Vector3 &amp;v) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#a4a6065226f4fbd7bc5f3cbe0c385d9c7">mCenter</a></td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#a9e9104e8e57c2fa2d30920989c725d1a">merge</a>(const Sphere &amp;oth)</td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#a912c305cf5821240fe88a3a7ef59e67b">mRadius</a></td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#af2cd29ca81e68cdeb65b91a2667d6fbc">setCenter</a>(const Vector3 &amp;center)</td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#aafe80cad31edd668b09981a6f836c8b1">setRadius</a>(Real radius)</td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#a93cb05f8025668db930ef81a34dca47b">Sphere</a>()</td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#abd0dc8dd45b400a07d71115652d2dc20">Sphere</a>(const Vector3 &amp;center, Real radius)</td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
